Skip to content

List authorized senders

GET
/api/Mailboxes/{id}/authorized-senders
curl --request GET \
--url https://app.docstosheets.com/api/Mailboxes/example/authorized-senders \
--header 'Authorization: Bearer <token>'

Lists the email addresses allowed to send documents to the mailbox.

id
required
string
Media type application/json

The email addresses allowed to send documents to a mailbox.

object
senders
required

The allowlist entries.

Array<object>

One email address allowed to send documents to the mailbox.

object
email
required

The sender’s email address.

string
source
required
One of:
string
Allowed values: owner shared custom
isEditable
required

Whether the entry can be removed; owner and shared entries cannot.

boolean
Example
{
"senders": [
{
"email": "[email protected]",
"source": "owner",
"isEditable": true
}
]
}
Media type application/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
nullable
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}